package jpatp.multibyte;
import java.util.List;

/**
 * Compilation warning: Class to evade no inspection Cast
 * Do cast of Generics(<T>) of List.
 * 
 * 鑼̕@ƂāCRpCɃIvV(-Xlint:unchecked)@炵B
 * CIvṼNXgC}~͈̔͂łB
 * <javac EEEEE>
 *   <compilerarg value="-Xlint:unchecked" />
 * </javac>
 */


public class PersonEntities
{

    /**
     * Cast the argument of the List type to the List of the specified generics type then return it
     * 
     * @param list the List type of the former before conversion
     * @return list List(T) type after conversion
     */
    @SuppressWarnings({"unchecked"})
    public static final <T> List<T> getList(List list)
    {
        return (List<T>)list;
    }

};
